Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.service.impl
Class PublicationServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.ehbox.v3.service.impl.PublicationServiceImpl

All Implemented Interfaces:
  PublicationService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class PublicationServiceImpl

extends Object
implements PublicationService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `PublicationService`.

Constructor Summary
`PublicationServiceImpl()` default constructor, needed for ModuleBootstrapHook
`PublicationServiceImpl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)` Instantiates a new publication service impl.

Method Summary
`void` | `bootstrap()`
`SendMessageResponse` | `sendMessage(SAMLToken token, SendMessageRequest request)` Send message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicationServiceImpl

    public PublicationServiceImpl(SessionValidator sessionValidator,
                                  EhboxReplyValidator replyValidator)

  Instantiates a new publication service impl.

  Parameters:
    `sessionValidator` - the session validator
    `replyValidator` - the reply validator

### PublicationServiceImpl

    public PublicationServiceImpl()

  default constructor, needed for ModuleBootstrapHook

Method Detail

### sendMessage

    public final SendMessageResponse sendMessage(SAMLToken token,
                                                 SendMessageRequest request)
                                          throws ConnectorException

  Send message.

  Specified by:
    `sendMessage` in interface `PublicationService`
  Parameters:
    `token` - the token
    `request` - : sendMessageRequest the send message request
  Returns:
    the send message response
  Throws:
    `ConnectorException`
    `TechnicalConnectorException` - the technical connector exception
    `EhboxBusinessConnectorException` - the business connector exception
    `SessionManagementException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.